/* PhBBackground.C: PhBBackground nodes (public source) */

#include "PhBBackground.H"
#include "world.H"

namespace xrml {

void PhBBackground::set_bind(const SFBool& set)
{
  Bindable::set_bind(set);
}

void PhBBackground::render(void)
{
  Warning(NULL, "PhBBackground::render(): not yet implemented");
}

Spectrum PhBBackground::eval(const Vec3& position,
			     const Vec3& /* direction */,
			     const Spectrum& specWeight, float *pdf)
{
  Warning(NULL, "%s:eval(): not yet implemented", typeId);
  if (pdf) *pdf = 0.;
  return Spectrum(0.);
}

Vec3 PhBBackground::sample(const Spectrum& specWeight,
			   const Vec3& /*position*/, 
			   const float xi1, const float xi2,
			   Spectrum *value, float *pdf)
{
  Warning(NULL, "%s:sample(): not yet implemented", typeId);
  if (pdf) *pdf = 0.;
  if (value) *value = Spectrum(0.);
  return Vec3(0.,0.,1.);
}

Spectrum PhBBackground::power(const Vec3& /*position*/)
{
  Warning(NULL, "%s:power(): not yet implemented", typeId);
  return Spectrum(0.);
}

}  // namespace xrml
